#
# spec file for package bootcycle (Version 0.3)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libnscd libstdc++ libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           bootcycle
License:        GPL
Group:          System/Boot
Version:        0.3
Release:        111.1
Summary:        Boot Cycle Detection
PreReq:         %fillup_prereq %insserv_prereq
%ifarch %ix86 x86_64
Requires:       grub
%endif
%ifarch %ia64
Requires:       efibootmgr
%endif
Autoreqprov:    on
Source0:        sysconfig.bootloader-bootcycle
Source1:        boot.cycle.IA32
Source3:        boot.cycle.IA64
Source2:        README.IA32
Source4:        README.IA64
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
This package provides a boot script that is used for boot cycle
detection to avoid unconditional reboot cycles on an unsupervised
system.  For example, on INTEL IA32 the GNU GRUB multiboot loader is
used for this.



Authors:
--------
    Werner Fink <werner@suse.de>

%debug_package
%prep
%setup -n %{name}-%{version} -c -T
%ifarch %ix86 x86_64
    cp %{SOURCE1} boot.cycle
    cp %{SOURCE2} README
%endif
%ifarch ia64
    cp %{SOURCE3} boot.cycle
    cp %{SOURCE4} README
%endif

%install
    install -d -m 0755 $RPM_BUILD_ROOT/etc/init.d/boot.d
    install -d -m 0755 $RPM_BUILD_ROOT/var/adm/fillup-templates
    install -c -m 0755 boot.cycle $RPM_BUILD_ROOT/etc/init.d/
    install -c -m 0644 %{SOURCE0} $RPM_BUILD_ROOT/var/adm/fillup-templates/

%post
%{fillup_only -an bootloader}
%{fillup_and_insserv -fYps boot.cycle CYCLE_DETECTION}

%files
%defattr(-,root,root)
%doc README
%config /etc/init.d/boot.cycle
/var/adm/fillup-templates/*

%changelog -n bootcycle
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Thu Sep 29 2005 - dmueller@suse.de
- add norootforbuild
* Fri Feb 20 2004 - ro@suse.de
- do noting for stop case of boot.cycle script
* Mon Nov 24 2003 - ro@suse.de
- remove directories already part of filesystem.rpm
* Fri Aug 08 2003 - kukuk@suse.de
- Fix for AMD64
* Tue Jul 15 2003 - werner@suse.de
- Add README for IA64 (bug #27609)
* Fri Jun 20 2003 - schwab@suse.de
- Add support for ia64.
* Fri Mar 14 2003 - werner@suse.de
- Fix path of grub installer (bug #25352)
- Move option from shell to command line of installer (bug #25358)
- Fix and add more comments to the README file (bug #25359)
* Wed Mar 05 2003 - werner@suse.de
- Initial package for boot cycle detection
